2.21. user : Manage the current user.


2.21.1. get /api/v1/user/

2.21.1.1. Implementation Notes

Get user information for the authenticated user.

2.21.1.2. Response Class (Status 200)

Model: Model Schema

{
  "organizations": [
{}
  ],
  "verified": true,
  "avatar": {},
  "anonymous": true,
  "logins": [
{}
  ],
  "can_create_repo": true,
  "preferred_namespace": true,
  "email": "string"
}

Response Content Type: application/json

2.21.1.3. Response Messages

Expand
HTTP Status CodeReasonResponse ModelHeaders

400

Bad Request

Mode: Model Schema

{
  "status": 0,
  "error_message": "string",
  "title": "string",
  "error_type": "string",
  "detail": "string",
  "type": "string"
 

401

Session required

 Model: Model Schema

{
  "status": 0,
  "error_message": "string",
  "title": "string",
  "error_type": "string",
  "detail": "string",
  "type": "string"
}
 

403

Unauthorized access

Model: Model Schema

{
  "status": 0,
  "error_message": "string",
  "title": "string",
  "error_type": "string",
  "detail": "string",
  "type": "string"
}
 

404

Not found

Model: Model Schema

{
  "status": 0,
  "error_message": "string",
  "title": "string",
  "error_type": "string",
  "detail": "string",
  "type": "string"
}
 
Red Hat logoGithubredditYoutubeTwitter

詳細情報

試用、購入および販売

コミュニティー

Red Hat ドキュメントについて

Red Hat をお使いのお客様が、信頼できるコンテンツが含まれている製品やサービスを活用することで、イノベーションを行い、目標を達成できるようにします。 最新の更新を見る.

多様性を受け入れるオープンソースの強化

Red Hat では、コード、ドキュメント、Web プロパティーにおける配慮に欠ける用語の置き換えに取り組んでいます。このような変更は、段階的に実施される予定です。詳細情報: Red Hat ブログ.

会社概要

Red Hat は、企業がコアとなるデータセンターからネットワークエッジに至るまで、各種プラットフォームや環境全体で作業を簡素化できるように、強化されたソリューションを提供しています。

Theme

© 2026 Red Hat
トップに戻る